#
# spec file for package kmix
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kmix
Version:        17.04.1
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Sound Mixer
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Mixers
Url:            http://www.kde.org
Source:         %{name}-%{version}.tar.xz
BuildRequires:  alsa-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  glib2-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kglobalaccel-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libcanberra-devel
BuildRequires:  libpulse-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  pkgconfig
BuildRequires:  plasma-framework-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
Obsoletes:      kmix5 < %{version}
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KDE's full featured mini mixer

%prep
%setup -q

%build
  %cmake_kf5 -d build -- -DKMIX_KF5_BUILD=ON
  %make_jobs

%install
  %kf5_makeinstall -C build

  %suse_update_desktop_file kmix           AudioVideo Mixer

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/kmix*
%{_kf5_libdir}/libkdeinit5_kmix.so
%{_kf5_libdir}/libkdeinit5_kmixctrl.so
%{_kf5_applicationsdir}/*kmix*.desktop
%{_kf5_plugindir}/
%{_kf5_configdir}/autostart/*kmix*.desktop
%{_kf5_sharedir}/dbus-1/interfaces/org.kde.kmix.*
%{_kf5_servicesdir}/
%{_kf5_iconsdir}/hicolor/*/*/*
%{_kf5_sharedir}/kmix/
%{_kf5_kxmlguidir}/kmix/
%{_datadir}/plasma/services/

%changelog
